Opened 5 years ago
Closed 5 years ago
#1485456 closed Bugs (fixed)
fixes for tools
| Reported by: | tensor | Owned by: | |
|---|---|---|---|
| Priority: | 5 | Milestone: | 0.2-stable |
| Component: | Other | Version: | 0.2-beta |
| Severity: | trivial | Keywords: | |
| Cc: |
Description
=== bin/dumpschema.php
==================================================================
--- bin/dumpschema.php (revision 1987)
+++ bin/dumpschema.php (local)
@@ -1,6 +1,6 @@
<?php
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
require INSTALL_PATH.'program/include/iniset.php';
/** callback function for schema dump **/
=== bin/makedoc.sh
==================================================================
--- bin/makedoc.sh (revision 1987)
+++ bin/makedoc.sh (local)
@@ -3,10 +3,21 @@
TITLE="RoundCube Classes"
PACKAGES="Core"
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/bin/phpdoc
+else
+ echo "phpdoc not found"
+ exit 1
+fi
+
OUTPUTFORMAT=HTML
CONVERTER=frames
TEMPLATE=earthli
Change History (1)
comment:1 Changed 5 years ago by alec
- Resolution set to fixed
- Status changed from new to closed
Note: See
TracTickets for help on using
tickets.

Applied in [da402d66].